import { flags } from '@oclif/command';
import { IService } from '@mesg/api/lib/service';
import { IExecution } from '@mesg/api/lib/execution';
import Command from '../../docker-command';
export default class ProcessLogs extends Command {
    static description: string;
    static flags: {
        tail: import("@oclif/parser/lib/flags").IOptionFlag<number>;
        follow: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        name: flags.IOptionFlag<string>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        quiet: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        silent: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        port: import("@oclif/parser/lib/flags").IOptionFlag<number>;
        host: flags.IOptionFlag<string>;
    };
    static args: {
        name: string;
        required: boolean;
    }[];
    services: {
        [key: string]: IService;
    };
    run(): Promise<{
        destroy: () => void;
    }>;
    handlerResult(processHash: Uint8Array): (execution: import("@mesg/api/lib/typedef/execution").mesg.types.IExecution) => void;
    formatResult(execution: IExecution): string;
}
